Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.interop
Class RMInteropServiceCallbackHandlerImpl

    java.lang.Object
      org.apache.sandesha2.interop.RMInteropServiceCallbackHandler
          org.apache.sandesha2.interop.RMInteropServiceCallbackHandlerImpl

    public class RMInteropServiceCallbackHandlerImpl

extends RMInteropServiceCallbackHandler

Field Summary

Fields inherited from class org.apache.sandesha2.interop.RMInteropServiceCallbackHandler
`clientData`

Constructor Summary
`RMInteropServiceCallbackHandlerImpl(java.lang.Object clientData)`

Method Summary
`java.lang.Object` | `getClientData()` Get the client data
`boolean` | `isCompleted()`
`void` | `receiveErrorEchoString(java.lang.Exception e)` auto generated Axis2 Error handler
`void` | `receiveResultEchoString(org.tempuri.EchoStringResponse echoStringResponse)` auto generated Axis2 call back method for EchoString method
`void` | `setCompleted(boolean completed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMInteropServiceCallbackHandlerImpl

    public RMInteropServiceCallbackHandlerImpl(java.lang.Object clientData)

Method Detail

### getClientData

    public java.lang.Object getClientData()

  Description copied from class: `RMInteropServiceCallbackHandler`
  Get the client data

  Overrides:
    `getClientData` in class `RMInteropServiceCallbackHandler`

### receiveErrorEchoString

    public void receiveErrorEchoString(java.lang.Exception e)

  Description copied from class: `RMInteropServiceCallbackHandler`
  auto generated Axis2 Error handler

  Overrides:
    `receiveErrorEchoString` in class `RMInteropServiceCallbackHandler`

### receiveResultEchoString

    public void receiveResultEchoString(org.tempuri.EchoStringResponse echoStringResponse)

  Description copied from class: `RMInteropServiceCallbackHandler`
  auto generated Axis2 call back method for EchoString method

  Overrides:
    `receiveResultEchoString` in class `RMInteropServiceCallbackHandler`

### isCompleted

    public boolean isCompleted()

### setCompleted

    public void setCompleted(boolean completed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.